Name:           perl-Net-Patricia
Version:        1.17_01
Release:        1%{?dist}
Summary:        Patricia Trie perl module for fast IP address lookups
License:        Distributable, see COPYING
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-Patricia/
Source0:        http://www.cpan.org/modules/by-module/Net/Net-Patricia-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Socket6)
BuildRequires:  perl(version)
BuildRequires:  perl(Net::CIDR::Lite) >= 0.20
Requires:       perl(Socket6)
Requires:       perl(version)
Requires:       perl(Net::CIDR::Lite) >= 0.20
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module uses a Patricia Trie data structure to quickly perform IP
address prefix matching for applications such as IP subnet, network or
routing table lookups.  The data structure is based on a radix tree using a
radix of two, so sometimes you see patricia implementations called "radix"
as well.  The term "Trie" is derived from the word "retrieval" but is
pronounced like "try".  Patricia stands for "Practical Algorithm to
Retrieve Information Coded as Alphanumeric", and was first suggested for
routing table lookups by Van Jacobsen.  Patricia Trie performance
characteristics are well-known as it has been employed for routing table
lookups within the BSD kernel since the 4.3 Reno release.

%prep
%setup -q -n Net-Patricia-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes COPYING README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net*
%{_mandir}/man3/*

%changelog
* Sun May 23 2010 Philip Prindeville <philipp@fedoraproject.org> - 1.17_01-1
- 1.17 was yanked from CPAN because of a missing update, hence 1.17_01.

* Wed May 19 2010 Philip Prindeville <philipp@fedoraproject.org > - 1.17-3
- update changelog

* Wed May 19 2010 Philip Prindeville <philipp@fedoraproject.org > - 1.17-2
- Refresh .spec file with cpanspec.

* Wed May 19 2010 Philip Prindeville <philipp@fedoraproject.org > - 1.17-1
- new upstream version, official release

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.16-2
- Mass rebuild with perl-5.12.0

* Fri Feb 24 2010 Philip Prindeville <philipp@fedoraproject.org > - 1.16-1
- new upstream version, official release

* Fri Jan  8 2010 Stepan Kasal <skasal@redhat.com> - 1.15_07-1
- new upstream version, recommended by the upstream maintainer

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.15-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 6 2009 Orion Poplawski 1.15-1
- Update to 1.15

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.014-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.014-6.1
Rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.014-5.1
- Autorebuild for GCC 4.3

* Tue Oct 16 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.014-4.1
- add BR: perl(ExtUtils::MakeMaker)

* Thu Aug 23 2007 - Orion Poplawski <orion@cora.nwra.com> - 1.014-4
- Update license tag to GPLv2+
- Rebuild for BuildID

* Tue Aug 29 2006 - Orion Poplawski <orion@cora.nwra.com> - 1.014-3
- Rebuild for FC6

* Mon Feb 27 2006 - Orion Poplawski <orion@cora.nwra.com> - 1.014-2
- Rebuild for FC5

* Tue Jan 31 2006 Orion Poplawski 1.014-1
- Update to 1.014

* Tue Oct 11 2005 Orion Poplawski 1.010-1
- Initial Fedora Extras release
